// pages/scenicDetail/scenicDetail.js

import request from '../../utils/request'

Page({

    /**
     * 页面的初始数据
     */
    data: {       
        imgList:[],     //景点路径列表
        scenicTitle:'', //景点标题
        scenicDescribe:'',   //景点介绍
        attention:'',   //旅游注意事项
        playTime:'',    //建议游玩时间
        scenicLatitude:'',  //景点纬度
        scenicLongtitude:''     //景点经度
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad:async function(options) {
        // 获取上一个页面传过来的景点id
        // console.log(options.id);
        let id = options.id
        await request('/front/scenicSpot/'+id)  //更新浏览量
        let imagePath = await request('/front/findAllScenicSpotFilesPath/'+id)  //获取景点照片
        // console.log(imagePath);
        let result = await request('/front/scenicSpotAndCallout')   //获取景点列表
        // console.log(result);
        for(let i = 0;i < result.length;i++){
            if(result[i].id == id){
                this.setData({
                    scenicTitle:result[i].title,
                    scenicDescribe:result[i].describes,
                    attention:result[i].attention,
                    playTime:result[i].playTime,
                    scenicLatitude:result[i].latitude,
                    scenicLongtitude:result[i].longitude
                })
            }
        }
        let imgList = this.data.imgList
        for(let j = 0;j < imagePath.length;j++){
            imgList[j] = imagePath[j].iconPath
        }
        this.setData({
            imgList
        })
        // console.log(this.data.imgList);
    },


    //点击预览图片
    toPreviewImage(){
        let imgList = this.data.imgList
        wx.previewImage({
            // current: imgList, // 当前显示图片的 http 链接
            urls: imgList // 需要预览的图片 http 链接列表
          })
    },

    // 去目的地按钮功能
    goDestination(){
        let latitude = parseFloat(this.data.scenicLatitude)
        let longtitude = parseFloat(this.data.scenicLongtitude)
        wx.openLocation({
          latitude: latitude,
          longitude: longtitude,
          name:this.data.scenicTitle
        })
    },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady() {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow() {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide() {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload() {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh() {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom() {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage() {

    }
})